# CRM API — Opportunities

> Canonical URL: https://developers.apideck.com/apis/crm/reference#tag/Opportunities

This document contains every operation on the `Opportunities` resource.

---

# List opportunities

> **CRM API** · `GET /crm/opportunities`
> Canonical URL: https://developers.apideck.com/apis/crm/reference#tag/Opportunities/operation/opportunitiesAll

List opportunities

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `cursor` | query | `string` | No | Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response. |
| `limit` | query | `integer` | No | Number of results to return. Minimum 1, Maximum 200, Default 20 |
| `filter` | query | `object` | No | Apply filters |
| `sort` | query | `object` | No | Apply sorting |
| `pass_through` | query | `object` | No | Optional unmapped key/values that will be passed through to downstream as query parameters. Ie: ?pass_through[search]=leads becomes ?search=leads |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — Opportunities

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `zoho-crm`
- `resource` `string` **required** — Unified API resource name — example: `opportunities`
- `operation` `string` **required** — Operation performed — example: `all`
- `data` `array of object` **required**
  - `id` `string` — A unique identifier for the opportunity. — example: `12345`
  - `title` `string` **required** — The title or name of the opportunity. — example: `New Rocket`
  - `primary_contact_id` `string` — The unique identifier of the primary contact associated with the opportunity. — example: `12345`
  - `description` `string` — A description of the opportunity. — example: `Opportunities are created for People and Companies that are interested in buying your products or services. Create Opportunities for People and Companies to move them through one of your Pipelines.`
  - `type` `string` — The type of the opportunity — example: `Existing Customer - Upgrade`
  - `monetary_amount` `number` — The monetary value associated with the opportunity — example: `75000`
  - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
  - `win_probability` `number` — The probability of winning the opportunity, expressed as a percentage. — example: `40`
  - `expected_revenue` `number` — The expected revenue from the opportunity — example: `75000`
  - `close_date` `string` — The actual closing date for the opportunity. If close_date is null, the opportunity is not closed yet. — format: `date` — example: `2020-10-30`
  - `loss_reason_id` `string` — The unique identifier of the reason why the opportunity was lost. — example: `12345`
  - `loss_reason` `string` — The reason why the opportunity was lost. — example: `No budget`
  - `won_reason_id` `string` — The unique identifier of the reason why the opportunity was won. — example: `12345`
  - `won_reason` `string` — The reason why the opportunity was won. — example: `Best pitch`
  - `pipeline_id` `string` — The unique identifier of the pipeline associated with the opportunity — example: `12345`
  - `pipeline_stage_id` `string` — The unique identifier of the stage in the pipeline associated with the opportunity. — example: `12345`
  - `source_id` `string` — The unique identifier of the source of the opportunity. — example: `12345`
  - `lead_id` `string` — The unique identifier of the lead associated with the opportunity. — example: `12345`
  - `lead_source` `string` — The source of the lead associated with the opportunity. — example: `Website`
  - `contact_id` `string` — The unique identifier of the contact associated with the opportunity. — example: `12345`
  - `contact_ids` `array of string` — An array of unique identifiers of all contacts associated with the opportunity.
  - `company_id` `string` — The unique identifier of the company associated with the opportunity. — example: `12345`
  - `company_name` `string` — The name of the company associated with the opportunity. — example: `Copper`
  - `owner_id` `string` — The unique identifier of the user who owns the opportunity. — example: `12345`
  - `priority` `string` — The priority level of the opportunity. — example: `None`
  - `status` `string` — The current status of the opportunity. — example: `OK`
  - `status_id` `string` — The unique identifier of the current status of the opportunity. — example: `12345`
  - `tags` `array of string`
  - `interaction_count` `number` — The number of interactions with the opportunity. — example: `0`
  - `custom_fields` `array of object`
    - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
    - `name` `string` — Name of the custom field. — example: `employee_level`
    - `description` `string` — More information about the custom field — example: `Employee Level`
    - `value` `string | number | boolean | object | array of string | number | boolean | object`
      - One of:
        - Option 1: string
        - Option 2: number
        - Option 3: boolean
        - Option 4: object

        - Option 5: array of string | number | boolean | object
  - `stage_last_changed_at` `string` — The date and time when the stage of the opportunity was last changed. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `last_activity_at` `string` — The date and time of the last activity associated with the opportunity. — example: `2020-09-30T07:43:32.000Z`
  - `deleted` `boolean` — Indicates whether the opportunity has been deleted. — example: `false`
  - `date_stage_changed` `string` — The date and time when the stage of the opportunity was last changed. — format: `date-time` — example: `2020-09-30T00:00:00.000Z`
  - `date_last_contacted` `string` — The date and time when the opportunity was last contacted. — format: `date-time` — example: `2020-09-30T00:00:00.000Z`
  - `date_lead_created` `string` — The date and time when the lead associated with the opportunity was created. — format: `date-time` — example: `2020-09-30T00:00:00.000Z`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `updated_by` `string` — The unique identifier of the user who last updated the opportunity. — example: `12345`
  - `created_by` `string` — The unique identifier of the user who created the opportunity. — example: `12345`
  - `updated_at` `string` — The date and time when the opportunity was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_at` `string` — The date and time when the opportunity was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
    - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
    - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
    - `extend_object` `object` — Simple object allowing any properties for direct extension.
    - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
      - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
      - `value` `any` **required** — The value to set at the specified path, can be any type.
- `_raw` `object` — Raw response from the integration when raw=true query param is provided
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Create opportunity

> **CRM API** · `POST /crm/opportunities`
> Canonical URL: https://developers.apideck.com/apis/crm/reference#tag/Opportunities/operation/opportunitiesAdd

Create opportunity

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |

### Request Body

_Required._

- `id` `string` — A unique identifier for the opportunity. — example: `12345`
- `title` `string` **required** — The title or name of the opportunity. — example: `New Rocket`
- `primary_contact_id` `string` — The unique identifier of the primary contact associated with the opportunity. — example: `12345`
- `description` `string` — A description of the opportunity. — example: `Opportunities are created for People and Companies that are interested in buying your products or services. Create Opportunities for People and Companies to move them through one of your Pipelines.`
- `type` `string` — The type of the opportunity — example: `Existing Customer - Upgrade`
- `monetary_amount` `number` — The monetary value associated with the opportunity — example: `75000`
- `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
- `win_probability` `number` — The probability of winning the opportunity, expressed as a percentage. — example: `40`
- `expected_revenue` `number` — The expected revenue from the opportunity — example: `75000`
- `close_date` `string` — The actual closing date for the opportunity. If close_date is null, the opportunity is not closed yet. — format: `date` — example: `2020-10-30`
- `loss_reason_id` `string` — The unique identifier of the reason why the opportunity was lost. — example: `12345`
- `loss_reason` `string` — The reason why the opportunity was lost. — example: `No budget`
- `won_reason_id` `string` — The unique identifier of the reason why the opportunity was won. — example: `12345`
- `won_reason` `string` — The reason why the opportunity was won. — example: `Best pitch`
- `pipeline_id` `string` — The unique identifier of the pipeline associated with the opportunity — example: `12345`
- `pipeline_stage_id` `string` — The unique identifier of the stage in the pipeline associated with the opportunity. — example: `12345`
- `source_id` `string` — The unique identifier of the source of the opportunity. — example: `12345`
- `lead_id` `string` — The unique identifier of the lead associated with the opportunity. — example: `12345`
- `lead_source` `string` — The source of the lead associated with the opportunity. — example: `Website`
- `contact_id` `string` — The unique identifier of the contact associated with the opportunity. — example: `12345`
- `contact_ids` `array of string` — An array of unique identifiers of all contacts associated with the opportunity.
- `company_id` `string` — The unique identifier of the company associated with the opportunity. — example: `12345`
- `company_name` `string` — The name of the company associated with the opportunity. — example: `Copper`
- `owner_id` `string` — The unique identifier of the user who owns the opportunity. — example: `12345`
- `priority` `string` — The priority level of the opportunity. — example: `None`
- `status` `string` — The current status of the opportunity. — example: `Open`
- `status_id` `string` — The unique identifier of the current status of the opportunity. — example: `12345`
- `tags` `array of string`
- `interaction_count` `number` — The number of interactions with the opportunity. — example: `0`
- `custom_fields` `array of object`
  - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
  - `name` `string` — Name of the custom field. — example: `employee_level`
  - `description` `string` — More information about the custom field — example: `Employee Level`
  - `value` `string | number | boolean | object | array of string | number | boolean | object`
    - One of:
      - Option 1: string
      - Option 2: number
      - Option 3: boolean
      - Option 4: object

      - Option 5: array of string | number | boolean | object
- `stage_last_changed_at` `string` — The date and time when the stage of the opportunity was last changed. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `last_activity_at` `string` — The date and time of the last activity associated with the opportunity. — example: `2020-09-30T07:43:32.000Z`
- `deleted` `boolean` — Indicates whether the opportunity has been deleted. — example: `false`
- `date_stage_changed` `string` — The date and time when the stage of the opportunity was last changed. — format: `date-time` — example: `2020-09-30T00:00:00.000Z`
- `date_last_contacted` `string` — The date and time when the opportunity was last contacted. — format: `date-time` — example: `2020-09-30T00:00:00.000Z`
- `date_lead_created` `string` — The date and time when the lead associated with the opportunity was created. — format: `date-time` — example: `2020-09-30T00:00:00.000Z`
- `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
- `updated_by` `string` — The unique identifier of the user who last updated the opportunity. — example: `12345`
- `created_by` `string` — The unique identifier of the user who created the opportunity. — example: `12345`
- `updated_at` `string` — The date and time when the opportunity was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `created_at` `string` — The date and time when the opportunity was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
  - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
  - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
  - `extend_object` `object` — Simple object allowing any properties for direct extension.
  - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
    - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
    - `value` `any` **required** — The value to set at the specified path, can be any type.

### Responses

#### 201 — Opportunity created

- `status_code` `integer` **required** — HTTP Response Status Code — example: `201`
- `status` `string` **required** — HTTP Response Status — example: `Created`
- `service` `string` **required** — Apideck ID of service provider — example: `zoho-crm`
- `resource` `string` **required** — Unified API resource name — example: `opportunities`
- `operation` `string` **required** — Operation performed — example: `add`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Get opportunity

> **CRM API** · `GET /crm/opportunities/{id}`
> Canonical URL: https://developers.apideck.com/apis/crm/reference#tag/Opportunities/operation/opportunitiesOne

Get opportunity

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — Opportunity

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `zoho-crm`
- `resource` `string` **required** — Unified API resource name — example: `opportunities`
- `operation` `string` **required** — Operation performed — example: `one`
- `data` `object` **required**
  - `id` `string` — A unique identifier for the opportunity. — example: `12345`
  - `title` `string` **required** — The title or name of the opportunity. — example: `New Rocket`
  - `primary_contact_id` `string` — The unique identifier of the primary contact associated with the opportunity. — example: `12345`
  - `description` `string` — A description of the opportunity. — example: `Opportunities are created for People and Companies that are interested in buying your products or services. Create Opportunities for People and Companies to move them through one of your Pipelines.`
  - `type` `string` — The type of the opportunity — example: `Existing Customer - Upgrade`
  - `monetary_amount` `number` — The monetary value associated with the opportunity — example: `75000`
  - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
  - `win_probability` `number` — The probability of winning the opportunity, expressed as a percentage. — example: `40`
  - `expected_revenue` `number` — The expected revenue from the opportunity — example: `75000`
  - `close_date` `string` — The actual closing date for the opportunity. If close_date is null, the opportunity is not closed yet. — format: `date` — example: `2020-10-30`
  - `loss_reason_id` `string` — The unique identifier of the reason why the opportunity was lost. — example: `12345`
  - `loss_reason` `string` — The reason why the opportunity was lost. — example: `No budget`
  - `won_reason_id` `string` — The unique identifier of the reason why the opportunity was won. — example: `12345`
  - `won_reason` `string` — The reason why the opportunity was won. — example: `Best pitch`
  - `pipeline_id` `string` — The unique identifier of the pipeline associated with the opportunity — example: `12345`
  - `pipeline_stage_id` `string` — The unique identifier of the stage in the pipeline associated with the opportunity. — example: `12345`
  - `source_id` `string` — The unique identifier of the source of the opportunity. — example: `12345`
  - `lead_id` `string` — The unique identifier of the lead associated with the opportunity. — example: `12345`
  - `lead_source` `string` — The source of the lead associated with the opportunity. — example: `Website`
  - `contact_id` `string` — The unique identifier of the contact associated with the opportunity. — example: `12345`
  - `contact_ids` `array of string` — An array of unique identifiers of all contacts associated with the opportunity.
  - `company_id` `string` — The unique identifier of the company associated with the opportunity. — example: `12345`
  - `company_name` `string` — The name of the company associated with the opportunity. — example: `Copper`
  - `owner_id` `string` — The unique identifier of the user who owns the opportunity. — example: `12345`
  - `priority` `string` — The priority level of the opportunity. — example: `None`
  - `status` `string` — The current status of the opportunity. — example: `OK`
  - `status_id` `string` — The unique identifier of the current status of the opportunity. — example: `12345`
  - `tags` `array of string`
  - `interaction_count` `number` — The number of interactions with the opportunity. — example: `0`
  - `custom_fields` `array of object`
    - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
    - `name` `string` — Name of the custom field. — example: `employee_level`
    - `description` `string` — More information about the custom field — example: `Employee Level`
    - `value` `string | number | boolean | object | array of string | number | boolean | object`
      - One of:
        - Option 1: string
        - Option 2: number
        - Option 3: boolean
        - Option 4: object

        - Option 5: array of string | number | boolean | object
  - `stage_last_changed_at` `string` — The date and time when the stage of the opportunity was last changed. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `last_activity_at` `string` — The date and time of the last activity associated with the opportunity. — example: `2020-09-30T07:43:32.000Z`
  - `deleted` `boolean` — Indicates whether the opportunity has been deleted. — example: `false`
  - `date_stage_changed` `string` — The date and time when the stage of the opportunity was last changed. — format: `date-time` — example: `2020-09-30T00:00:00.000Z`
  - `date_last_contacted` `string` — The date and time when the opportunity was last contacted. — format: `date-time` — example: `2020-09-30T00:00:00.000Z`
  - `date_lead_created` `string` — The date and time when the lead associated with the opportunity was created. — format: `date-time` — example: `2020-09-30T00:00:00.000Z`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `updated_by` `string` — The unique identifier of the user who last updated the opportunity. — example: `12345`
  - `created_by` `string` — The unique identifier of the user who created the opportunity. — example: `12345`
  - `updated_at` `string` — The date and time when the opportunity was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_at` `string` — The date and time when the opportunity was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
    - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
    - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
    - `extend_object` `object` — Simple object allowing any properties for direct extension.
    - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
      - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
      - `value` `any` **required** — The value to set at the specified path, can be any type.
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Delete opportunity

> **CRM API** · `DELETE /crm/opportunities/{id}`
> Canonical URL: https://developers.apideck.com/apis/crm/reference#tag/Opportunities/operation/opportunitiesDelete

Delete opportunity

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |

### Responses

#### 200 — Opportunity deleted

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `zoho-crm`
- `resource` `string` **required** — Unified API resource name — example: `companies`
- `operation` `string` **required** — Operation performed — example: `delete`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Update opportunity

> **CRM API** · `PATCH /crm/opportunities/{id}`
> Canonical URL: https://developers.apideck.com/apis/crm/reference#tag/Opportunities/operation/opportunitiesUpdate

Update opportunity

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |

### Request Body

_Required._

- `id` `string` — A unique identifier for the opportunity. — example: `12345`
- `title` `string` **required** — The title or name of the opportunity. — example: `New Rocket`
- `primary_contact_id` `string` — The unique identifier of the primary contact associated with the opportunity. — example: `12345`
- `description` `string` — A description of the opportunity. — example: `Opportunities are created for People and Companies that are interested in buying your products or services. Create Opportunities for People and Companies to move them through one of your Pipelines.`
- `type` `string` — The type of the opportunity — example: `Existing Customer - Upgrade`
- `monetary_amount` `number` — The monetary value associated with the opportunity — example: `75000`
- `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
- `win_probability` `number` — The probability of winning the opportunity, expressed as a percentage. — example: `40`
- `expected_revenue` `number` — The expected revenue from the opportunity — example: `75000`
- `close_date` `string` — The actual closing date for the opportunity. If close_date is null, the opportunity is not closed yet. — format: `date` — example: `2020-10-30`
- `loss_reason_id` `string` — The unique identifier of the reason why the opportunity was lost. — example: `12345`
- `loss_reason` `string` — The reason why the opportunity was lost. — example: `No budget`
- `won_reason_id` `string` — The unique identifier of the reason why the opportunity was won. — example: `12345`
- `won_reason` `string` — The reason why the opportunity was won. — example: `Best pitch`
- `pipeline_id` `string` — The unique identifier of the pipeline associated with the opportunity — example: `12345`
- `pipeline_stage_id` `string` — The unique identifier of the stage in the pipeline associated with the opportunity. — example: `12345`
- `source_id` `string` — The unique identifier of the source of the opportunity. — example: `12345`
- `lead_id` `string` — The unique identifier of the lead associated with the opportunity. — example: `12345`
- `lead_source` `string` — The source of the lead associated with the opportunity. — example: `Website`
- `contact_id` `string` — The unique identifier of the contact associated with the opportunity. — example: `12345`
- `contact_ids` `array of string` — An array of unique identifiers of all contacts associated with the opportunity.
- `company_id` `string` — The unique identifier of the company associated with the opportunity. — example: `12345`
- `company_name` `string` — The name of the company associated with the opportunity. — example: `Copper`
- `owner_id` `string` — The unique identifier of the user who owns the opportunity. — example: `12345`
- `priority` `string` — The priority level of the opportunity. — example: `None`
- `status` `string` — The current status of the opportunity. — example: `Open`
- `status_id` `string` — The unique identifier of the current status of the opportunity. — example: `12345`
- `tags` `array of string`
- `interaction_count` `number` — The number of interactions with the opportunity. — example: `0`
- `custom_fields` `array of object`
  - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
  - `name` `string` — Name of the custom field. — example: `employee_level`
  - `description` `string` — More information about the custom field — example: `Employee Level`
  - `value` `string | number | boolean | object | array of string | number | boolean | object`
    - One of:
      - Option 1: string
      - Option 2: number
      - Option 3: boolean
      - Option 4: object

      - Option 5: array of string | number | boolean | object
- `stage_last_changed_at` `string` — The date and time when the stage of the opportunity was last changed. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `last_activity_at` `string` — The date and time of the last activity associated with the opportunity. — example: `2020-09-30T07:43:32.000Z`
- `deleted` `boolean` — Indicates whether the opportunity has been deleted. — example: `false`
- `date_stage_changed` `string` — The date and time when the stage of the opportunity was last changed. — format: `date-time` — example: `2020-09-30T00:00:00.000Z`
- `date_last_contacted` `string` — The date and time when the opportunity was last contacted. — format: `date-time` — example: `2020-09-30T00:00:00.000Z`
- `date_lead_created` `string` — The date and time when the lead associated with the opportunity was created. — format: `date-time` — example: `2020-09-30T00:00:00.000Z`
- `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
- `updated_by` `string` — The unique identifier of the user who last updated the opportunity. — example: `12345`
- `created_by` `string` — The unique identifier of the user who created the opportunity. — example: `12345`
- `updated_at` `string` — The date and time when the opportunity was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `created_at` `string` — The date and time when the opportunity was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
  - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
  - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
  - `extend_object` `object` — Simple object allowing any properties for direct extension.
  - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
    - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
    - `value` `any` **required** — The value to set at the specified path, can be any type.

### Responses

#### 200 — Opportunity updated

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `zoho-crm`
- `resource` `string` **required** — Unified API resource name — example: `companies`
- `operation` `string` **required** — Operation performed — example: `update`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
